> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ermbot.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Moderations

> Retrieve moderation records using Discord snowflake pagination

Moderations are paginated using Discord snowflakes for guaranteed sequential ordering.

### Cursor Format

* Type: Discord Snowflake (int64)
* Example: `1090340521350131742`
* Ordering: Descending (newest first)


## OpenAPI

````yaml GET /api/v1/moderations
openapi: 3.0.3
info:
  title: ERM Public API
  version: 1.0.0
  description: API for Employee Resource Management
servers:
  - url: https://core.ermbot.xyz
    description: ERM API Server
security:
  - ApiKeyAuth: []
    GuildAuth: []
paths:
  /api/v1/moderations:
    get:
      summary: Get all moderations
      parameters:
        - name: after
          in: query
          schema:
            type: integer
            format: int64
        - name: limit
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: List of moderations
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModerationResponse'
components:
  schemas:
    ModerationResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: object
                properties:
                  $oid:
                    type: string
              user_id:
                type: integer
                format: int64
              username:
                type: string
              guild:
                type: integer
                format: int64
              type_:
                type: string
              reason:
                type: string
              moderator:
                type: string
              moderator_id:
                type: integer
                format: int64
              epoch:
                type: integer
                format: int64
              until_epoch:
                type: integer
                format: int64
        pagination:
          type: object
          properties:
            next_cursor:
              type: integer
              format: int64
            limit:
              type: integer
            has_more:
              type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    GuildAuth:
      type: apiKey
      in: header
      name: Guild

````